%define version 0.20
%define name gnome-print
%define prefix %{_prefix}
%define sysconfdir %{_sysconfdir}
%define localstatedir %{_localstatedir}/lib

Summary: Printing libraries for GNOME.
Name: %{name}
Version: %{version}
Release: 5mdk
Copyright: LGPL
Group: System/Libraries
BuildRequires: audiofile-devel esound-devel gnome-libs-devel libxml-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/%{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript-fonts
PreReq:	libxml

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/C
Requires: %{name} = %{version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print-devel package
includes the libraries and include files that you will need when developing
applications that use the GNOME printing facilities.

You should install the gnome-print-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the gnome-print-devel package if you just want to use the GNOME
desktop enviornment.

%prep
%setup -q

%build
%configure --localstatedir=%{localstatedir}
#CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
#	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
#	--localstatedir=%{localstatedir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall localstatedir=$RPM_BUILD_ROOT%{localstatedir}

%{find_lang} %{name}

#make install prefix=$RPM_BUILD_ROOT%{prefix} \
#	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
cd fonts
install -c *.font $RPM_BUILD_ROOT%{_datadir}/fonts



%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/gnome-font-install --system --scan --no-copy \
        --afm-path=%{_datadir}/fonts/afms \
        --pfb-path=%{_datadir}/fonts/pfbs \
	--pfb-assignment=ghostscript,%{_datadir}/ghostscript/fonts \
	--afm-assignment=ghostscript,%{_datadir}/ghostscript/fonts \
        --pfb-assignment=ghostscript,%{_datadir}/fonts/default/Type1 \
        --afm-assignment=ghostscript,%{_datadir}/fonts/default/Type1 \
        %{_datadir}/fonts/

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_bindir}/*
#%{_datadir}/locale/*/*/*
%{_datadir}/fonts/afms/adobe/*
%{_datadir}/fonts/*.font
%{_datadir}/gnome-print/profiles/Postscript.profile

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*/*


%changelog
* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-5mdk
- fixed langs
- removed %config for postscript profile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.20-4mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Rebuild to remove dependency on alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- BM + macrozification.

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- upgrading to helix version 0.20

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-2mdk
- fixed group, /me really-stupid

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-1mdk
- took srpm from Helix [grrr.. no changelog, why?]
